Subject: Re: [PATCH v4 04/19] for-each-ref: add '--points-at' option

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Jun 2015 12:24:57 -0700

Matthieu Moy <[email-masked]> writes:

> Karthik Nayak <[email-masked]> writes:
>
>> On Mon, Jun 22, 2015 at 6:15 AM, Junio C Hamano <[email-masked]> wrote:
>>>  3 & 4 as a single patch may make more sense, if we were to tolerate the
>>> "let's copy & paste first and then later remove the duplicate" as a way to
>>> postpone touching "tag.c" side in order to first concentrate on for-each-ref.
>>>
>>> I have not formed a firm opinion on what the right split of the series is, but
>>> so far (assuming that the temporary duplication is the best we can do) what
>>> I am seeing in this series makes sense to me.
>>>
>>> Thanks.
>>
>> That would mean squashing 3&4, 6&7 and 10&11 also on similar lines.
>
> I have a slight preference for keeping the pairs not squashed. This way,
> we have a clear separation "write reusable library code" / "use it". But
> I'm fine with squashing if others prefer.

As I cannot firmly say that "copy & paste first and then later
clean-up" is bad and we should split them in different way, I
am fine with leaving them separate as they are.